export default function getColourMap(together_colour) {
  const colourMap = new Map();
  // Some reduncancy here, but Tailwind wont recognise the classes otherwise
  colourMap.set('go', 'text-lime-600');
  colourMap.set('warning', 'text-yellow-600');
  colourMap.set('self-username', 'text-sky-600');
  colourMap.set('success', 'text-green-600');
  colourMap.set('gobg', 'bg-lime-600');

  colourMap.set('object-enabled', 'bg-gray-600');
  colourMap.set('object-disabled', 'bg-gray-400');

  if (together_colour === 'blue') {
    colourMap.set('alone', 'text-rose-400');
    colourMap.set('together', 'text-blue-400');

    colourMap.set('alonebg', 'bg-rose-400');
    colourMap.set('togetherbg', 'bg-blue-400');
  } else if (together_colour === 'red') {
    colourMap.set('alone', 'text-blue-400');
    colourMap.set('together', 'text-rose-400');

    colourMap.set('alonebg', 'bg-blue-400');
    colourMap.set('togetherbg', 'bg-rose-400');
  }
  return colourMap;
}
